Qore::FilesystemInfo Struct Reference

Filesystem info hash as returned by statvfs, Dir::statvfs, and ReadOnlyFile::statvfs()". More...

## Public Attributes

int | bavail
| The number of free blocks available to unprivileged users (bytes = `bsize` * `bavail`)
int | bfree
| The total number of free indes available to privileged users (bytes = `bsize` * `bfree`)
int | blocks
| The total number of blocks on the filesystem (capacity in bytes = `bsize` * `blocks`)
int | bsize
| The filesystem's block size.
int | favail
| The number of free inodes available to unprivileged users.
int | ffree
| The total number of free inodes available to privileged users.
int | files
| The total number of inodes on the filesystem.
int | frsize
| The size in bytes of the minimum allocation unit on the filesystem.
int | fsid
| The filesystem ID; may not be set or meaningful on all filesystems/systems: see system documentation for statvfs()
int | namemax
| The maximum length in bytes of file names on the filesystem.

## Detailed Description

Filesystem info hash as returned by statvfs, Dir::statvfs, and ReadOnlyFile::statvfs()".

Since
  Qore 0.8.13